install.home=./
# the version of jBPM you want to use
# and the associated URL you want to get the dependencies from
# for example: 
#   jBPM.version=5.4.0.Final
#   jBPM.url=http://sourceforge.net/projects/jbpm/files/jBPM%205/jbpm-5.4.0.Final
# or:
#   jBPM.version=5.4.0-SNAPSHOT
#   jBPM.url=https://hudson.jboss.org/hudson/job/jBPM/lastSuccessfulBuild/artifact/jbpm-distribution/target/
jBPM.version=5.4.0.Final
deployment.version=EE6
#deployment.version=AS5
jBPM.url=http://sourceforge.net/projects/jbpm/files/jBPM%205/jbpm-5.4.0.Final
jBPM.console.server.url=https://repository.jboss.org/nexus/content/repositories/releases/org/jbpm/jbpm-gwt-console-server/5.4.0.Final/jbpm-gwt-console-server-5.4.0.Final-${deployment.version}.war
jBPM.console.url=https://repository.jboss.org/nexus/content/repositories/releases/org/jbpm/jbpm-gwt-console/5.4.0.Final/jbpm-gwt-console-5.4.0.Final.war
ht.server.url=https://repository.jboss.org/nexus/content/repositories/releases/org/jbpm/jbpm-human-task-war/5.4.0.Final/jbpm-human-task-war-5.4.0.Final-${deployment.version}.war

# the version of jBPM and Drools Eclipse plugin you want to use
# and the associated URL you want to get the dependencies from
# for example: 
#droolsjbpm.eclipse.version=5.5.0.Final
#droolsjbpm.eclipse.url=https://repository.jboss.org/nexus/content/groups/public-jboss/org/drools/org.drools.updatesite/5.5.0.Final/org.drools.updatesite-5.5.0.Final-assembly.zip
droolsjbpm.eclipse.version=5.5.0.Final
droolsjbpm.eclipse.url=https://repository.jboss.org/nexus/content/groups/public-jboss/org/drools/org.drools.updatesite/5.5.0.Final/org.drools.updatesite-5.5.0.Final-assembly.zip

# the version of Drools Guvnor you want to use
# and the associated URL you want to get the dependencies from
# for example, for AS7: 
#   drools.guvnor.version=5.5.0.Final
#   drools.guvnor.url=https://repository.jboss.org/nexus/content/groups/public-jboss/org/drools/guvnor-distribution-wars/5.5.0.Final/guvnor-distribution-wars-5.5.0.Final-jboss-as-7.0.war
# for example for AS5:
# NOTE: Guvnor (from version 5.4) requires JBoss EAP5 to run properly on AS5 based installations.
#   drools.guvnor.version=5.5.0.Final
#   drools.guvnor.url=https://repository.jboss.org/nexus/content/groups/public-jboss/org/drools/guvnor-distribution-wars/5.5.0.Final/guvnor-distribution-wars-5.5.0.Final-jboss-eap-5.1.war
drools.guvnor.version=5.5.0.Final
drools.guvnor.url=https://repository.jboss.org/nexus/content/groups/public-jboss/org/drools/guvnor-distribution-wars/5.5.0.Final/guvnor-distribution-wars-5.5.0.Final-jboss-as-7.0.war

# the URL to download the Form Builder from
form.builder.url=https://repository.jboss.org/nexus/content/groups/public-jboss/org/jbpm/jbpm-form-builder-distribution/5.4.2.Final/jbpm-form-builder-distribution-5.4.2.Final-form-builder.war

# the version of the Designer you want to use
# and the associated URL you want to get it from
# for example, for AS7:
# designer.version=2.4.0.Final-jboss7
# designer.url=http://sourceforge.net/projects/jbpm/files/designer/designer-2.4/
# for example, for AS5:
# designer.version=2.4.0.Final-jboss
# designer.url=http://sourceforge.net/projects/jbpm/files/designer/designer-2.4/
designer.version=2.4.0.Final-jboss7
designer.url=http://sourceforge.net/projects/jbpm/files/designer/designer-2.4/

# the home of your JBoss AS installation
jboss.server.version.7=7.1.1.Final
jboss.server.version.5=5.1.0.GA
# for example, for AS7: 
#   jboss.server.version=${jboss.server.version.7}
#   jboss.home=./jboss-as-${jboss.server.version}
# For AS7: 
#   jboss.download.url=http://download.jboss.org/jbossas/7.0/jboss-as-${jboss.server.version}/jboss-as-${jboss.server.version}.zip
#   jboss.server.conf.dir=${jboss.home}/standalone/configuration
#   jboss.server.deploy.dir=${jboss.home}/standalone/deployments
#   jboss.server.data.dir=${jboss.home}/standalone/data
#   jboss.clean.repository=true
# alternatively, for AS5
#   jboss.server.version=${jboss.server.version.5}
#   jboss.home=./jboss-${jboss.server.version}
#   jboss.download.url=http://downloads.sourceforge.net/jboss/jboss-${jboss.server.version}.zip
#   jboss.server.configuration=default
#   jboss.server.deploy.dir=${jboss.home}/server/${jboss.server.configuration}/deploy
#   jboss.server.data.dir=${jboss.home}/server/${jboss.server.configuration}/data/
#   jboss.clean.repository=true
jboss.server.version=${jboss.server.version.7}
jboss.home=./jboss-as-${jboss.server.version}
jboss.download.url=http://download.jboss.org/jbossas/7.1/jboss-as-${jboss.server.version}/jboss-as-${jboss.server.version}.zip
jboss.server.conf.dir=${jboss.home}/standalone/configuration
jboss.server.deploy.dir=${jboss.home}/standalone/deployments
jboss.server.data.dir=${jboss.home}/standalone/data
jboss.clean.repository=true

# the home of your eclipse installation
# will be used to deploy the Eclipse plugin to
eclipse.home=./eclipse

# defines whether you want the birt plugin (for reporting) to be downloaded or not
# if you do not download the birt plugin, reporting in the jbpm-console will not work
# put this property to false if you do not want to download birt as well
jBPM.birt.download=true

# H2 database version
H2.version=1.3.167

# data base related properties
db.driver.jar=${install.home}/db/driver/${db.driver.jar.name}
db.driver.module.dir=${jboss.home}/modules/${db.driver.module.prefix}/main/
# default is H2
db.name=h2
db.driver.jar.name=${db.name}.jar
db.driver.download.url=http://repo1.maven.org/maven2/com/h2database/h2/${H2.version}/h2-${H2.version}.jar
#other options are mysql
#  db.name=mysql
#  db.driver.module.prefix=com/mysql
#  db.driver.jar.name=${db.name}-connector-java.jar
#  db.driver.download.url=https://repository.jboss.org/nexus/service/local/repositories/central/content/mysql/mysql-connector-java/5.1.18/mysql-connector-java-5.1.18.jar
#postresql
#  db.name=postresql
#  db.driver.module.prefix=org/postgresql
#  db.driver.jar.name=${db.name}-jdbc.jar
#  db.driver.download.url=https://repository.jboss.org/nexus/content/repositories/thirdparty-uploads/postgresql/postgresql/9.1-902.jdbc4/postgresql-9.1-902.jdbc4.jar
